<?php
/**
 * Скрипт завершения операции (Success)
 * С проверкой подлинности подписи
 *
 * www.WAYtoPAY.org © 2011
 *
**/
include_once ''.(str_replace("/pay_rubi/paytools/","", $_SERVER['DOCUMENT_ROOT'])).'/inc/start_sess.php';
// регистрационная информация
//id сервиса
$mrh_id       = 3007;


// HTTP параметры:
$out_summ = (float)$_REQUEST["wOutSum"];
$inv_id   = (int)$_REQUEST["wInvId"];
$id_user = (int)$_REQUEST["IdUser"];

if(!empty($id_user) AND !empty($out_summ)  AND $out_summ>=22){
// Здесь вы можете добавить доп. код для большей безопасности
// Если все врено то выводим ответ
///Начисление

$text="Вы купили новый ключ для погреба!";
$times=86500*5;
$timesbon=86500*2;
mysql_query("UPDATE `kolhoz_user` SET `action_time`='".(time()+86400)."' WHERE `id` = '$id_user' LIMIT 1") or die (mysql_error());
mysql_query("INSERT INTO `kolhoz_mail` SET `id_user` = '$id_user', `id_kont` = '0', `msg` = '$text', `time` = '".(time())."', `type` = 'to'") or die (mysql_error());
mysql_query("INSERT INTO `kolhoz_key` SET `id_user` = '$id_user', `time` = '$times' ") or die (mysql_error());
mysql_query("INSERT INTO `kolhoz_key` SET `id_user` = '$id_user', `time` = '$timesbon' ") or die (mysql_error());
mysql_query("INSERT INTO `kolhoz_price` SET `id_user` = '$id_user', `key` = '1',`bon` = '2', `time` = '".(time())."'") or die (mysql_error());
header("Location:/myfarm");	
}else{echo'error';}
?>